githubEdit

Asset Projects

circle-info

This document uses the REST API. For more details, see the Authentication for API page.

List projects for an asset (Early Access)

get

Retrieves a paginated list of Snyk projects linked to this asset with full attributes. Returns the id, type, and attributes of each related project.

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

The unique identifier of the tenant

asset_idstring · uuidRequired

The unique identifier of the asset

Query parameters
versionstringOptional

The requested API version

Example: 2024-10-15Pattern: ^\d{4}-\d{2}-\d{2}$
starting_afterstringOptional

Cursor for fetching the next page of results

ending_beforestringOptional

Cursor for fetching the previous page of results

limitinteger · min: 10 · max: 100Optional

Maximum number of results to return per page

Default: 10
canonicalstring · enumOptional

Filter projects by canonical status.

  • with: Returns all projects (canonical attribute is populated).
  • only: Returns only canonical projects (those used for vulnerability counts).
  • none: Returns only non-canonical projects. When omitted, returns all projects without canonical filtering.
Possible values:
target_idstring · uuidOptional

Filter projects by target ID. When provided, returns only projects that belong to the specified target. When omitted, returns projects from all targets.

Responses
chevron-right
200

Successfully retrieved linked projects

application/vnd.api+json
get
/tenants/{tenant_id}/inventory/assets/{asset_id}/relationships/projects

List projects for an asset (org scope) (Early Access)

get

Retrieves a paginated list of Snyk projects linked to this asset with full attributes. Returns the id, type, and attributes of each related project. Scoped to the specified organization.

Required permissions

  • View Organization (org.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The unique identifier of the organization

asset_idstring · uuidRequired

The unique identifier of the asset

Query parameters
versionstringOptional

The requested API version

Example: 2024-10-15Pattern: ^\d{4}-\d{2}-\d{2}$
starting_afterstringOptional

Cursor for fetching the next page of results

ending_beforestringOptional

Cursor for fetching the previous page of results

limitinteger · min: 10 · max: 100Optional

Maximum number of results to return per page

Default: 10
canonicalstring · enumOptional

Filter projects by canonical status.

  • with: Returns all projects (canonical attribute is populated).
  • only: Returns only canonical projects (those used for vulnerability counts).
  • none: Returns only non-canonical projects. When omitted, returns all projects without canonical filtering.
Possible values:
target_idstring · uuidOptional

Filter projects by target ID. When provided, returns only projects that belong to the specified target. When omitted, returns projects from all targets.

Responses
chevron-right
200

Successfully retrieved linked projects

application/vnd.api+json
get
/orgs/{org_id}/inventory/assets/{asset_id}/relationships/projects

List projects for an asset (group scope) (Early Access)

get

Retrieves a paginated list of Snyk projects linked to this asset with full attributes. Returns the id, type, and attributes of each related project. Scoped to the specified group.

Required permissions

  • View Groups (group.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
group_idstring · uuidRequired

The unique identifier of the group

asset_idstring · uuidRequired

The unique identifier of the asset

Query parameters
versionstringOptional

The requested API version

Example: 2024-10-15Pattern: ^\d{4}-\d{2}-\d{2}$
starting_afterstringOptional

Cursor for fetching the next page of results

ending_beforestringOptional

Cursor for fetching the previous page of results

limitinteger · min: 10 · max: 100Optional

Maximum number of results to return per page

Default: 10
canonicalstring · enumOptional

Filter projects by canonical status.

  • with: Returns all projects (canonical attribute is populated).
  • only: Returns only canonical projects (those used for vulnerability counts).
  • none: Returns only non-canonical projects. When omitted, returns all projects without canonical filtering.
Possible values:
target_idstring · uuidOptional

Filter projects by target ID. When provided, returns only projects that belong to the specified target. When omitted, returns projects from all targets.

Responses
chevron-right
200

Successfully retrieved linked projects

application/vnd.api+json
get
/groups/{group_id}/inventory/assets/{asset_id}/relationships/projects

Last updated

Was this helpful?